package org.processmining.plugins.log.ui.logdialog;

import javax.swing.JComponent;

import org.deckfour.xes.info.XLogInfo;
import org.deckfour.xes.model.XLog;
import org.processmining.contexts.uitopia.UIPluginContext;
import org.processmining.plugins.interactivevisualization.OverviewVisualizationInitializer;
import org.processmining.plugins.log.ui.logoverview.annotations.LogOverviewAddon;

@LogOverviewAddon
public class LogDialogInitializer implements OverviewVisualizationInitializer {
	
	public String getCategory() {
		return "General";
	}
	
	public String getName() {
		return "Log Visualizer";
	}
	
	public JComponent initialize(UIPluginContext pluginContext, XLog log, XLogInfo summary) {
		SlickerOpenLogSettings init = new SlickerOpenLogSettings();
		
		return init.showLogVis(pluginContext, log, summary);
	}
}
